This app requires the MSP430F5529 Launchpad.

_**Please configure the jumpers as shown below:**_


![](images/msp430f5529_jumpers.jpg)

* Plug a USB cable into your MSP430F5529 Launchpad and into your PC.
* When the app starts, it will automatically connect to the Launchpad
   * if you are running this demo from a web browser and do not have the Launchpad plugged in when the app starts, plug the board in and then hit F5 to refresh your browser and restart the auto-connect process.

* Once connected, the program for the target device will be automatically downloaded and flashed into the device memory.
* if you run into problems, try unplugging the Launchpad, plugging it back in and clicking the CONNECT button.

* You can select the temperature scale from the Options menu (C, F, K).
* You can configure whether the Green and Red LEDs are on or off by clicking the checkboxes.

**NOTE**: Close all other CCS Cloud Sessions or GUI Composer preview sessions before running this demo. 

* The Energia target code is available [here](target/ReadLEDsAndTempJSON_5529.ino)
* The .hex executable is available [here](target/ReadLEDsAndTempJSON_5529.hex)
* For troubleshooting help, please click [here](https://dev.ti.com/gc/designer/help/TroubleShooting/index.html)

To view this README.md file again, select Help / View README.md from the menu bar.